Mandriva Linux Security Advisory : dia (MDVSA-2009:040)

Medium Nessus Plugin ID 37600


The remote Mandriva Linux host is missing a security update.


Python has a variable called sys.path that contains all paths where Python loads modules by using import scripting procedure. A wrong handling of that variable enables local attackers to execute arbitrary code via Python scripting in the current dia working directory (CVE-2008-5984).

This update provides fix for that vulnerability.


Update the affected dia package.

Plugin Details

Severity: Medium

ID: 37600

File Name: mandriva_MDVSA-2009-040.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2009/04/23

Modified: 2015/03/30

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Temporal Score: 6

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:dia, cpe:/o:mandriva:linux:2008.1, cpe:/o:mandriva:linux:2009.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/02/16

Exploitable With

Core Impact

Reference Information

CVE: CVE-2008-5984

BID: 33448

MDVSA: 2009:040